#include <bits/stdc++.h>
using namespace std;
#define N 1000005

int n;
bool zamena = false;
vector<pair<int,int>> p;

bool sorting(const pair<int,int> &a,
               const pair<int,int> &b)
{
    return (a.first > b.first);
}
int main()
{
    ios::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
    //int start=clock();

    cin >> n;
    int a[n+1];
    if(n==2)
    {
        int a,b;
        cin >> a >> b;
        cout << b << " " << a;
        return 0;
    }

    for(int i=1; i<=n; i++)
    {
        cin >> a[i];
        p.push_back(make_pair(a[i],i));
    }
    sort(p.begin(),p.end(),sorting);
    for(int i=1,l=0; i<=n && !zamena; i++,l++)
    {
       if(a[i]!=p[l].first)
       {
           swap(a[i],a[p[l].second]);
           zamena=true;
       }
        
    }
    if(!zamena)swap(a[1],a[2]);
    for(int i=1;i<=n;i++)cout << a[i] << " ";

    /*int endd = clock();
    cout << fixed << setprecision(3) << "\n" << ((endd-start)/CLOCKS_PER_SEC)*1000 << "ms";*/
    return 0;
}